Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Timer::Timer_Scope Class Referencefinal

`#include <timer.h>`

## Public Member Functions
| Timer_Scope (Timer &timer)
| ~Timer_Scope ()

## Detailed Description

Definition at line 54 of file timer.h.

## Constructor & Destructor Documentation

Botan::Timer::Timer_Scope::Timer_Scope | ( | Timer & | timer | ) |
| inline explicit

Definition at line 57 of file timer.h.

References m_timer.

58 : m_timer(timer)
59 {
60 m_timer.start();
61 }
Botan::Timer::start
void start()
Definition: timer.cpp:15

Botan::Timer::Timer_Scope::~Timer_Scope | ( |  | ) |
| inline

Definition at line 62 of file timer.h.

References m_timer.

63 {
64 try
65 {
66 m_timer.stop();
67 }
68 catch(...) {}
69 }
Botan::Timer::stop
void stop()
Definition: timer.cpp:22

The documentation for this class was generated from the following file:

- src/lib/utils/timer.h